SolrClient
SolrClient::addDocuments
SolrClient
PHP Manual

# SolrClient::addDocument

Adds a document to the index

### Description

public SolrUpdateResponse SolrClient::addDocument ( SolrInputDocument `$doc` [, bool `$allowDups` = false [, int `$commitWithin` = 0 ]] )

This method adds a document to the index.

### Parameters

`doc`

  The SolrInputDocument instance.

`allowDups`

  If `FALSE` duplicates will be overwritten.

`commitWithin`

  Number of milliseconds within which to commit this document. Available since Solr 1.4

### Return Values

Returns a SolrUpdateResponse object or throws a SolrClientException on failure.

### Examples

Example #1 SolrClient::addDocument example

`<?php
$options = array
(
'hostname' => SOLR_SERVER_HOSTNAME,
'login' => SOLR_SERVER_USERNAME,
'password' => SOLR_SERVER_PASSWORD,
'port' => SOLR_SERVER_PORT,
);
$client = new SolrClient($options);
$doc = new SolrInputDocument();
$doc->addField('id', 334455);
$doc->addField('cat', 'Software');
$doc->addField('cat', 'Lucene');
$updateResponse = $client->addDocument($doc);
print_r($updateResponse->getResponse());
?>`

The above example will output something similar to:

    SolrObject Object
    (
        [responseHeader] => SolrObject Object
            (
                [status] => 0
                [QTime] => 1
            )

    )

### See Also

- SolrClient::addDocuments